# Changelog
All notable changes to this project will be documented in this file.

## [3.1.0] - 2018-08-21
- Add default settings for `react` plugin.

## [3.0.0] - 2018-06-23
- Update to `eslint@^5.0.0`.
- Error reporting for the rule `react/no-deprecated` changed to `warn`.
- Value for the rule `max-nested-callbacks` increased from 4 to 6.

## [2.0.0] - 2018-03-07
- Merge common and react configs.
- Parser `babel-eslint` is moved to dependencies and no need manual install.
- Add plugin `eslint-plugin-import` for analyze imports in modules.
- Dependencies `eslint-plugin-import` and `eslint-plugin-react` is peer and must be installed manually.

## [1.0.19] - 2017-09-14
- Update optional dependencies.
- Update README.md.

## [1.0.18] - Aug 3, 2017
- Enable object spread validation.
- Enable global strict mode.

## [1.0.17] - Aug 3, 2017
- Technical release.

## [1.0.16] - Jul 24, 2017
- Hot fix.

## [1.0.15] - Jul 24, 2017
- Remove rule "newline-before-return".
- Remove mocha from env (can be enabled via .eslintrc in tests folder).

## [1.0.14] - Jun 20, 2017
- Add eslint@^4.0.0 as peer dependency.

## [1.0.13] - May 20, 2017
- Add rule "react/jsx-equals-spacing" with "never" option.

## [1.0.12] - May 14, 2017
- Rule "react/jsx-space-before-closing" replaced to "react/jsx-tag-spacing".
- Support eslint-plugin-react@7.0.0.

## [1.0.11] - Mar 29, 2017
- Add rule "no-return-await" with error notification.
- Add changelog.

## [1.0.10] - Mar 10, 2017
- Add rule "react/no-string-refs" with error notification.

## [1.0.9] - Feb 14, 2017
- Add exception for console.log in "no-console" rule.

## [1.0.8] - Dec 24, 2016
- Add rule "valid-jsdoc" with error notification.
 
## [1.0.7] - Nov 8, 2016
- Change notification from error to warning for "no-unused-vars" rule.

## [1.0.6] - Nov 4, 2016
- Enable support of async/await.

## [1.0.5] - Oct 26, 2016
- Ignore console.error and console.warn in "no-console" rule.
- No padded blocks in class inner.

## [1.0.4] - Oct 20, 2016
- Rules sorted in alphabet order.

## [1.0.3] - Oct 20, 2016
- Add rule "jsx-quotes" with error notification.

## [1.0.2] - Oct 19, 2016
- Add "babel-eslint" parser for react preset.
- Update readme.

## [1.0.1] - Oct 13, 2016
- Add readme.
- Add rules for react and jsx.
- Add "comma-spacing" with error notification.
- Add "curly" rule with error notification.
- Add support for mocha environment.
- Remove "no-confusing-arrow" rule.

## [1.0.0] - Apr 02, 2016
Initial release